# bson_sized_new()

## Synopsis

    bson_t *
    bson_sized_new (size_t size);

## Parameters

- `size`: The size to pre-allocate for the underlying buffer.

## Description

The bson_sized_new() function shall create a new bson_t on the heap with a preallocated buffer. This is useful if you have a good idea of the size of the resulting document.

## Returns

A newly allocated bson_t that should be freed with bson_destroy().

See also

bson_concat()
bson_init()
bson_init_from_json()
bson_init_static()
bson_new()
bson_new_from_buffer()
bson_new_from_data()
bson_new_from_json()
bson_reinit()
bson_reserve_buffer()
bson_sized_new()